/* dragondaemon.h
**
** $VER: dragondaemon.h 1.0 (17.5.99)
** C header file for DragonDeamon 1.0    
** Written by Kai Radewald <kai.radewald@stud.uni-hannover.de>
** DragonDeamon is  1999 Jrgen Reinert <ac-techno@T-Online.de>
*/

/* misc */

#define DD_PORTNAME "DragonDaemon"

/* commands */

#define DDCMD_EXITDAEMON    0   /* Exit the DragonDaemon */
#define DDCMD_GETCOUNTER    1   /* Obtain current counter value */
#define DDCMD_DIALNUMBER    2   /* Dial a phone number */
#define DDCMD_RESETCOUNTER  3   /* Reset counter to zero */
#define DDCMD_INFO          4   /* Query information */
#define DDCMD_REQUEST       5   /* Request the user */
#define DDCMD_ERROR         6   /* Issue an error */

/* options */

#define DDOPT_QUIET         1

/* structures */

struct DD_Message {
    struct Message dd_StdMsg;   /* Standard Exec message */
    ULONG  dd_Command;          /* DragonDaemon command */
    LONG   dd_Arg0;             /* First command argument */
    LONG   dd_Arg1;             /* Second command argument */
    ULONG  dd_Options;          /* Command options */
    TEXT   dd_Result[128];      /* Result as ASCII C-string */
    ULONG  dd_Return;           /* Return code */
};
